commit 48a86712d7d57651feca3abdf8e2da470d42773a
Author: freddy77 <freddy77>
Date:   Sat Sep 13 07:18:46 2008 +0000

    fix compile if no --enable-development

diff --git a/ChangeLog b/ChangeLog
index c0f769f..63f27a5 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Sep 13 09:18:17 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/token.c: fix compile if no --enable-development
+
 Fri Sep 12 17:05:54 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h src/tds/config.c src/tds/token.c:
 	- removed is_binary_type macro, not used anymore
@@ -646,4 +649,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2607 2008/09/12 15:12:23 freddy77 Exp $
+$Id: ChangeLog,v 1.2608 2008/09/13 07:18:46 freddy77 Exp $
diff --git a/src/tds/token.c b/src/tds/token.c
index 210834f..85e60dd 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.352 2008/09/12 15:12:23 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.353 2008/09/13 07:18:46 freddy77 Exp $");
 
 static int tds_process_msg(TDSSOCKET * tds, int marker);
 static int tds_process_compute_result(TDSSOCKET * tds);
@@ -3380,7 +3380,11 @@ adjust_character_column_size(const TDSSOCKET * tds, TDSCOLUMN * curcol)
 	if (!curcol->char_conv && IS_TDS7_PLUS(tds) && is_ascii_type(curcol->on_server.column_type))
 		curcol->char_conv = tds->char_convs[client2server_chardata];
 
+#ifdef ENABLE_DEVELOPING
 	if (tds->no_data_conv || !curcol->char_conv)
+#else
+	if (!curcol->char_conv)
+#endif
 		return;
 
 	curcol->on_server.column_size = curcol->column_size;

